Subject: Re: Widespread boot failures on ARM due to "mm/page_alloc.c: calculate zone_start_pfn at zone_spanned_pages_in_node()"

From: Mark Brown <[email-masked]>
Date: Mon, 4 Jan 2016 23:55:12 +0000

On Mon, Jan 04, 2016 at 03:09:46PM -0800, Andrew Morton wrote:
> On Mon, 4 Jan 2016 22:42:33 +0000 Mark Brown <[email-masked]> wrote:

> > platforms in the kernelci.org boot tests[1].  Doing bisections with
> > Arndale and BeagleBone Black identifies 904769ac82ebf (mm/page_alloc.c:
> > calculate zone_start_pfn at zone_spanned_pages_in_node()) from the akpm
> > tree as the first broken commit[2,3].  An example bootlog from the
> > failure is:

> Thanks.  That patch has rather a blooper if
> CONFIG_HAVE_MEMBLOCK_NODE_MAP=n.  Is that the case in your testing?

Seems to be what's making a difference from a quick run through, yes.